## sso-mib 0.7.0%2Bds

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/debhelper/dh_package_notes/package-notes.mk

%:
	dh $@

## sso-mib 0.7.0+ds

=== meson_options.txt ===
# SPDX-FileCopyrightText: (C) 2025 Siemens AG
# SPDX-License-Identifier: LGPL-2.1-only
option('documentation',
       type: 'boolean',
       value: false,
       description: 'Build the documentation [default=false]')
option('examples',
       type: 'boolean',
       value: false,
       description: 'Build the examples [default=false]')

=== debian/changelog ===
sso-mib (0.7.0+ds-1) unstable; urgency=medium

  * Initial release.

 -- Luca Boccassi <bluca@debian.org>  Fri, 20 Feb 2026 21:40:19 +0000

=== debian/control ===
Source: sso-mib
Section: libs
Maintainer: Luca Boccassi <bluca@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-package-notes,
               dh-sequence-bash-completion,
               bash-completion,
               libdbus-1-dev,
               libgio-2.0-dev | libgio3.0-cil-dev,
               libjson-glib-dev,
               libjwt-dev,
               meson,
               pkgconf,
               uuid-dev,
Standards-Version: 4.7.3
Homepage: https://siemens.github.io/sso-mib/
Vcs-Browser: https://salsa.debian.org/debian/sso-mib
Vcs-Git: https://salsa.debian.org/debian/sso-mib.git

Package: libsso-mib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgio-2.0-dev | libgio3.0-cil-dev,
         libsso-mib0 (= ${binary:Version}),
         uuid-dev,
         ${misc:Depends},
Description: Single-Sign-On with CA for Entra via Himmelblau (devel files)
 Applications can link with this library to get Entra Conditional Access tokens
 for authentication and Single-Sign-On from the Himmelblau stack.
 .
 Contains the development files for the shared library.

Package: libsso-mib0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Single-Sign-On with CA for Entra via Himmelblau (library)
 Applications can link with this library to get Entra Conditional Access tokens
 for authentication and Single-Sign-On from the Himmelblau stack.
 .
 Contains the shared library.

Package: sso-mib-tool
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Single-Sign-On with CA for Entra via Himmelblau (tool)
 Applications can link with this library to get Entra Conditional Access tokens
 for authentication and Single-Sign-On from the Himmelblau stack.
 .
 Contains command line tools that use the shared library.

Package: sso-mib-gch-smtp-o365
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Enhances: git
Description: Single-Sign-On with CA for Entra via Himmelblau (git send-email)
 Applications can link with this library to get Entra Conditional Access tokens
 for authentication and Single-Sign-On from the Himmelblau stack.
 .
 Contains git send-email credential helper to authenticate SMTP on O365.

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/sso-mib-$1\.tar\.gz/, \
  dversionmangle=s/\+ds$//,repacksuffix=+ds,\
  uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/" \
  https://github.com/siemens/sso-mib/tags .*/v?(\d\S*)\.tar\.gz
